-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--          http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.
local c_object = require 'mc.orm.object'

local orm_classes = {}

function orm_classes.init(db)
    orm_classes.StorageConfig = c_object('StorageConfig')
    orm_classes.Controller = c_object('Controller')
    orm_classes.DiskArray = c_object('DiskArray')
    orm_classes.Drive = c_object('Drive')
    orm_classes.Drives = c_object('Drives')
    orm_classes.ReplicaDrive = c_object('ReplicaDrive')
    orm_classes.Volume = c_object('Volume')
    orm_classes.Battery = c_object('Battery')
    orm_classes.Nvme = c_object('Nvme')
    orm_classes.VirtualVPDConnect = c_object('VirtualVPDConnect')
    orm_classes.DriveInfoTable = c_object('DriveInfoTable')
    orm_classes.DrivesTableInfo = c_object('DrivesTableInfo')
    orm_classes.GlobalStorageConfigTable = c_object('GlobalStorageConfigTable')
    orm_classes.StorageSetting = c_object('StorageSetting')
end

return orm_classes
